import { jsx } from "react/jsx-runtime";
import { DropSlashIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const DropSlash = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "DropSlash", ...props, children: /* @__PURE__ */ jsx(DropSlashIcon, { weight: variant }) });
  }
);
DropSlash.displayName = "DropSlash";
Object.assign(DropSlash, { isGdsIcon: true });
export {
  DropSlash
};
